package sun.font;

import java.awt.FontFormatException;
import java.io.File;
import java.awt.Font;

public interface FontManager
{
    public static final int NO_FALLBACK = 0;
    public static final int PHYSICAL_FALLBACK = 1;
    public static final int LOGICAL_FALLBACK = 2;
    
    public abstract boolean registerFont(Font p0);
    
    public abstract void deRegisterBadFont(Font2D p0);
    
    public abstract Font2D findFont2D(String p0, int p1, int p2);
    
    public abstract Font2D createFont2D(File p0, int p1, boolean p2, CreatedFontTracker p3) throws FontFormatException;
    
    public abstract boolean usingPerAppContextComposites();
    
    public abstract Font2DHandle getNewComposite(String p0, int p1, Font2DHandle p2);
    
    public abstract void preferLocaleFonts();
    
    public abstract void preferProportionalFonts();
}
